package com.ruoyi.asset.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.asset.domain.TbAssetCategory;

/**
 * 资产分类Service接口
 * 
 * @author 原动力
 * @date 2023-03-27
 */
public interface ITbAssetCategoryService extends IService<TbAssetCategory>
{
    /**
     * 查询资产分类
     * 
     * @param id 资产分类主键
     * @return 资产分类
     */
    public TbAssetCategory selectTbAssetCategoryById(Long id);

    /**
     * 查询资产分类列表
     * 
     * @param tbAssetCategory 资产分类
     * @return 资产分类集合
     */
    public List<TbAssetCategory> selectTbAssetCategoryList(TbAssetCategory tbAssetCategory);

    /**
     * 新增资产分类
     * 
     * @param tbAssetCategory 资产分类
     * @return 结果
     */
    public int insertTbAssetCategory(TbAssetCategory tbAssetCategory);

    /**
     * 修改资产分类
     * 
     * @param tbAssetCategory 资产分类
     * @return 结果
     */
    public int updateTbAssetCategory(TbAssetCategory tbAssetCategory);

    /**
     * 批量删除资产分类
     * 
     * @param ids 需要删除的资产分类主键集合
     * @return 结果
     */
    public int deleteTbAssetCategoryByIds(Long[] ids);

    /**
     * 删除资产分类信息
     * 
     * @param id 资产分类主键
     * @return 结果
     */
    public int deleteTbAssetCategoryById(Long id);

    /**
     * 获取全部资产分类信息
     *
     * @return 资产分类信息集合
     */
    public List<TbAssetCategory> selectTbAssetCategoryAll();
}
